# This file created by conda-build 3.20.5
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/d83b1f4f-23e9-46cc-6098-221a1a8347ea/volume/combined_recipe, last modified Wed Nov 25 14:51:06 2020
# ------------------------------------------------

package:
    name: pycryptodome
    version: 3.9.9
source:
    patches:
        - 0001-Make-load_lib-CONDA_PREFIX-aware.patch
    sha256: 910e202a557e1131b1c1b3f17a63914d57aac55cf9fb9b51644962841c3995c4
    url: https://pypi.io/packages/source/p/pycryptodome/pycryptodome-3.9.9.tar.gz
build:
    ignore_run_exports:
        - gmp
    number: '0'
    script: '/opt/concourse/worker/volumes/live/d83b1f4f-23e9-46cc-6098-221a1a8347ea/volume/pycryptodome_1606344690640/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
        -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv '
    string: py38h659dea6_0
requirements:
    build:
        - cctools 927.0.2 h5ba7a2e_4
        - clang 10.0.0 default_hf57f61e_0
        - clang_osx-64 10.0.0 h05bbb7f_1
        - clangxx 10.0.0 default_hf57f61e_0
        - compiler-rt 10.0.0 h47ead80_0
        - compiler-rt_osx-64 10.0.0 hbcc88fd_0
        - ld64 450.3 h3c32e8a_4
        - libcxx 10.0.0 1
        - libllvm10 10.0.0 h21ff451_2
        - llvm-openmp 10.0.0 h28b9765_0
        - llvm-tools 10.0.0 h21ff451_2
        - tapi 1000.10.8 ha1b3eb9_0
    host:
        - ca-certificates 2020.10.14 0
        - certifi 2020.11.8 py38hecd8cb5_0
        - gmp 6.1.2 hb37e062_1
        - libcxx 10.0.0 1
        - libedit 3.1.20191231 h1de35cc_1
        - libffi 3.3 hb1e8313_2
        - ncurses 6.2 h0a44026_1
        - openssl 1.1.1h haf1e3a3_0
        - pip 20.2.4 py38hecd8cb5_0
        - python 3.8.5 h26836e1_1
        - readline 8.0 h1de35cc_0
        - setuptools 50.3.1 py38hecd8cb5_1
        - sqlite 3.33.0 hffcf06c_0
        - tk 8.6.10 hb0a8c7a_0
        - wheel 0.35.1 pyhd3eb1b0_0
        - xz 5.2.5 h1de35cc_0
        - zlib 1.2.11 h1de35cc_3
    run:
        - gmp
        - python >=3.8,<3.9.0a0
test:
    imports:
        - Crypto
        - Crypto.Cipher
        - Crypto.Hash
        - Crypto.IO
        - Crypto.Math
        - Crypto.Protocol
        - Crypto.PublicKey
        - Crypto.Random
        - Crypto.SelfTest
        - Crypto.SelfTest.Cipher
        - Crypto.SelfTest.Hash
        - Crypto.SelfTest.IO
        - Crypto.SelfTest.Math
        - Crypto.SelfTest.Protocol
        - Crypto.SelfTest.PublicKey
        - Crypto.SelfTest.Random
        - Crypto.SelfTest.Signature
        - Crypto.SelfTest.Util
        - Crypto.Signature
        - Crypto.Util
about:
    dev_url: https://github.com/Legrandin/pycryptodome
    doc_url: https://www.pycryptodome.org/en/latest/
    home: http://www.pycryptodome.org
    license: BSD
    license_family: BSD
    license_file: LICENSE.rst
    summary: Cryptographic library for Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - mariusvniekerk
